# CLINetworkAdapter | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLINetworkAdapter

## Index

### Constructors

- constructor

### Properties

- consensusHash
- feeRate
- gracePeriod
- legacyNetwork
- namespaceBurnAddress
- nodeAPIUrl
- optAlwaysCoerceAddress
- priceToPay
- priceUnits
- receiveFeesPeriod

### Methods

- broadcastTransaction
- broadcastZoneFile
- coerceAddress
- coerceMainnetAddress
- getAccountHistoryPage
- getBlockchainNameRecord
- getConsensusHash
- getFeeRate
- getGracePeriod
- getNameHistory
- getNameInfo
- getNamePrice
- getNamesOwned
- getNamespaceBurnAddress
- getNamespacePrice
- isMainnet
- isTestnet
- setCoerceMainnetAddress

## Constructors

### constructor

- new CLINetworkAdapter(network: BlockstackNetwork, opts: CLI_NETWORK_OPTS ): CLINetworkAdapter

- - Defined in packages/cli/src/network.ts:58

  #### Parameters

  - ##### network: BlockstackNetwork

  - ##### opts: CLI_NETWORK_OPTS

  #### Returns CLINetworkAdapter

## Properties

### consensusHash

consensusHash: string | null

- Defined in packages/cli/src/network.ts:49

### feeRate

feeRate: number | null

- Defined in packages/cli/src/network.ts:50

### gracePeriod

gracePeriod: number | null

- Defined in packages/cli/src/network.ts:54

### legacyNetwork

legacyNetwork: BlockstackNetwork

- Defined in packages/cli/src/network.ts:58

### namespaceBurnAddress

namespaceBurnAddress: string | null

- Defined in packages/cli/src/network.ts:51

### nodeAPIUrl

nodeAPIUrl: string

- Defined in packages/cli/src/network.ts:56

### optAlwaysCoerceAddress

optAlwaysCoerceAddress: boolean

- Defined in packages/cli/src/network.ts:57

### priceToPay

priceToPay: string | null

- Defined in packages/cli/src/network.ts:52

### priceUnits

priceUnits: string | null

- Defined in packages/cli/src/network.ts:53

### receiveFeesPeriod

receiveFeesPeriod: number | null

- Defined in packages/cli/src/network.ts:55

## Methods

### broadcastTransaction

- broadcastTransaction(tx: string): Promise<any>

- - Defined in packages/cli/src/network.ts:311

  #### Parameters

  - ##### tx: string

  #### Returns Promise<any>

### broadcastZoneFile

- broadcastZoneFile(zonefile: string, txid: string): Promise<any>

- - Defined in packages/cli/src/network.ts:315

  #### Parameters

  - ##### zonefile: string

  - ##### txid: string

  #### Returns Promise<any>

### coerceAddress

- coerceAddress(address: string): string

- - Defined in packages/cli/src/network.ts:303

  #### Parameters

  - ##### address: string

  #### Returns string

### coerceMainnetAddress

- coerceMainnetAddress(address: string): string

- - Defined in packages/cli/src/network.ts:101

  #### Parameters

  - ##### address: string

  #### Returns string

### getAccountHistoryPage

- getAccountHistoryPage(address: string, page: number): Promise<any[]>

- - Defined in packages/cli/src/network.ts:307

  #### Parameters

  - ##### address: string

  - ##### page: number

  #### Returns Promise<any[]>

### getBlockchainNameRecord

- getBlockchainNameRecord(name: string): Promise<any>

- - Defined in packages/cli/src/network.ts:248

  #### Parameters

  - ##### name: string

  #### Returns Promise<any>

### getConsensusHash

- getConsensusHash(): Promise<string>

- - Defined in packages/cli/src/network.ts:127

  #### Returns Promise<string>

### getFeeRate

- getFeeRate(): Promise<number>

- - Defined in packages/cli/src/network.ts:115

  #### Returns Promise<number>

### getGracePeriod

- getGracePeriod(): Promise<number>

- - Defined in packages/cli/src/network.ts:135

  #### Returns Promise<number>

### getNameHistory

- getNameHistory(name: string, page: number): Promise<Record<string, any[]>>

- - Defined in packages/cli/src/network.ts:271

  #### Parameters

  - ##### name: string

  - ##### page: number

  #### Returns Promise<Record<string, any[]>>

### getNameInfo

- getNameInfo(name: string): Promise< NameInfoType >

- - Defined in packages/cli/src/network.ts:228

  #### Parameters

  - ##### name: string

  #### Returns Promise< NameInfoType >

### getNamePrice

- getNamePrice(name: string): Promise< PriceType >

- - Defined in packages/cli/src/network.ts:142

  #### Parameters

  - ##### name: string

  #### Returns Promise< PriceType >

### getNamesOwned

- getNamesOwned(address: string): Promise<string[]>

- - Defined in packages/cli/src/network.ts:319

  #### Parameters

  - ##### address: string

  #### Returns Promise<string[]>

### getNamespaceBurnAddress

- getNamespaceBurnAddress(namespace: string, useCLI?: boolean, receiveFeesPeriod?: number): Promise<string>

- - Defined in packages/cli/src/network.ts:188

  #### Parameters

  - ##### namespace: string

  - ##### Default value useCLI: boolean = true

  - ##### Default value receiveFeesPeriod: number = -1

  #### Returns Promise<string>

### getNamespacePrice

- getNamespacePrice(namespaceID: string): Promise< PriceType >

- - Defined in packages/cli/src/network.ts:165

  #### Parameters

  - ##### namespaceID: string

  #### Returns Promise< PriceType >

### isMainnet

- isMainnet(): boolean

- - Defined in packages/cli/src/network.ts:89

  #### Returns boolean

### isTestnet

- isTestnet(): boolean

- - Defined in packages/cli/src/network.ts:93

  #### Returns boolean

### setCoerceMainnetAddress

- setCoerceMainnetAddress(value: boolean): void

- - Defined in packages/cli/src/network.ts:97

  #### Parameters

  - ##### value: boolean

  #### Returns void

Generated using TypeDoc